/*
 * Copyright 2003 - 2009 The eFaps Team
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *
 * Revision:        $Rev: 2564 $
 * Last Changed:    $Date: 2009-06-04 22:31:25 -0500 (Thu, 04 Jun 2009) $
 * Last Changed By: $Author: jan.moxter $
 */

package org.efaps.ui.wicket.components.table;

import org.apache.wicket.markup.ComponentTag;

import org.efaps.ui.wicket.components.AbstractParentMarkupContainer;

/**
 * @author The eFaps Team
 * @version $Id: RowContainer.java 2564 2009-06-05 03:31:25Z jan.moxter $
 *
 */
public class RowContainer extends AbstractParentMarkupContainer
{

    private static final long serialVersionUID = 1L;

    public RowContainer(final String _wicketId)
    {
        super(_wicketId);
    }

    @Override
    protected void onComponentTag(final ComponentTag _tag)
    {
        super.onComponentTag(_tag);
        _tag.setName("tr");
        _tag.setHasNoCloseTag(true);
    }
}
